import{s as X,n as Z,o as ee}from"../chunks/scheduler.db6b1edd.js";import{S as te,i as ae,g as o,s as n,r as A,A as ie,h as l,f as a,c as s,j as Q,u as U,x as $,k as V,y as ne,a as i,v as q,d as F,t as I,w as O}from"../chunks/index.ef84021a.js";import{H as R}from"../chunks/Heading.87f70b00.js";function se(W){let r,T,y,M,d,b,u,Y="Machine learning datasets are commonly organized in <em>splits</em> and they may also have <em>configurations</em>. These internal structures provide the scaffolding for building out a dataset, and determines how a dataset should be split and organized. Understanding a dataset’s structure can help you create your own dataset, and know which subset of data you should use when during model training and evaluation.",x,c,B='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/split-configs-server.gif" alt="split-configs-server"/>',L,f,H,m,D="Every processed and cleaned dataset contains <em>splits</em>, specific subsets of data reserved for specific needs. The most common splits are:",P,p,G="<li><code>train</code>: data used to train a model; this data is exposed to the model</li> <li><code>validation</code>: data reserved for evaluation and improving model hyperparameters; this data is hidden from the model</li> <li><code>test</code>: data reserved for evaluation only; this data is completely hidden from the model and ourselves</li>",C,g,J="The <code>validation</code> and <code>test</code> sets are especially important to ensure a model is actually learning instead of <em>overfitting</em>, or just memorizing the data.",S,h,k,v,K='A <em>configuration</em> is a higher-level internal structure than a split, and a configuration contains splits. You can think of a configuration as a sub-dataset contained within a larger dataset. It is a useful structure for adding additional layers of organization to a dataset. For example, if you take a look at the <a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">Multilingual LibriSpeech (MLS)</a> dataset, you’ll notice there are eight different languages. While you can create a dataset containing all eight languages, it’s probably neater to create a dataset with each language as a configuration. This way, users can instantly load a dataset with their language of interest instead of preprocessing the dataset to filter for a specific language.',z,_,N='Configurations are flexible, and can be used to organize a dataset along whatever objective you’d like. For example, the <a href="https://huggingface.co/datasets/scene_parse_150" rel="nofollow">SceneParse150</a> dataset uses configurations to organize the dataset by task. One configuration is dedicated to segmenting the whole image, while the other configuration is for instance segmentation.',E,w,j;return d=new R({props:{title:"Splits and configurations",local:"splits-and-configurations",headingTag:"h1"}}),f=new R({props:{title:"Splits",local:"splits",headingTag:"h2"}}),h=new R({props:{title:"Configurations",local:"configurations",headingTag:"h2"}}),{c(){r=o("meta"),T=n(),y=o("p"),M=n(),A(d.$$.fragment),b=n(),u=o("p"),u.innerHTML=Y,x=n(),c=o("p"),c.innerHTML=B,L=n(),A(f.$$.fragment),H=n(),m=o("p"),m.innerHTML=D,P=n(),p=o("ul"),p.innerHTML=G,C=n(),g=o("p"),g.innerHTML=J,S=n(),A(h.$$.fragment),k=n(),v=o("p"),v.innerHTML=K,z=n(),_=o("p"),_.innerHTML=N,E=n(),w=o("p"),this.h()},l(e){const t=ie("svelte-u9bgzb",document.head);r=l(t,"META",{name:!0,content:!0}),t.forEach(a),T=s(e),y=l(e,"P",{}),Q(y).forEach(a),M=s(e),U(d.$$.fragment,e),b=s(e),u=l(e,"P",{"data-svelte-h":!0}),$(u)!=="svelte-rov9zo"&&(u.innerHTML=Y),x=s(e),c=l(e,"P",{"data-svelte-h":!0}),$(c)!=="svelte-1p3cuco"&&(c.innerHTML=B),L=s(e),U(f.$$.fragment,e),H=s(e),m=l(e,"P",{"data-svelte-h":!0}),$(m)!=="svelte-1xqui4b"&&(m.innerHTML=D),P=s(e),p=l(e,"UL",{"data-svelte-h":!0}),$(p)!=="svelte-1ptk7op"&&(p.innerHTML=G),C=s(e),g=l(e,"P",{"data-svelte-h":!0}),$(g)!=="svelte-be0hj3"&&(g.innerHTML=J),S=s(e),U(h.$$.fragment,e),k=s(e),v=l(e,"P",{"data-svelte-h":!0}),$(v)!=="svelte-5g9nse"&&(v.innerHTML=K),z=s(e),_=l(e,"P",{"data-svelte-h":!0}),$(_)!=="svelte-3xxeom"&&(_.innerHTML=N),E=s(e),w=l(e,"P",{}),Q(w).forEach(a),this.h()},h(){V(r,"name","hf:doc:metadata"),V(r,"content",oe)},m(e,t){ne(document.head,r),i(e,T,t),i(e,y,t),i(e,M,t),q(d,e,t),i(e,b,t),i(e,u,t),i(e,x,t),i(e,c,t),i(e,L,t),q(f,e,t),i(e,H,t),i(e,m,t),i(e,P,t),i(e,p,t),i(e,C,t),i(e,g,t),i(e,S,t),q(h,e,t),i(e,k,t),i(e,v,t),i(e,z,t),i(e,_,t),i(e,E,t),i(e,w,t),j=!0},p:Z,i(e){j||(F(d.$$.fragment,e),F(f.$$.fragment,e),F(h.$$.fragment,e),j=!0)},o(e){I(d.$$.fragment,e),I(f.$$.fragment,e),I(h.$$.fragment,e),j=!1},d(e){e&&(a(T),a(y),a(M),a(b),a(u),a(x),a(c),a(L),a(H),a(m),a(P),a(p),a(C),a(g),a(S),a(k),a(v),a(z),a(_),a(E),a(w)),a(r),O(d,e),O(f,e),O(h,e)}}}const oe='{"title":"Splits and configurations","local":"splits-and-configurations","sections":[{"title":"Splits","local":"splits","sections":[],"depth":2},{"title":"Configurations","local":"configurations","sections":[],"depth":2}],"depth":1}';function le(W){return ee(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends te{constructor(r){super(),ae(this,r,le,se,X,{})}}export{ce as component};
